Subject: Re: bug#5766: 23.1.94; invisible pointer still highlights text

From: "Jan D." <[email-masked]>
Date: Tue, 30 Mar 2010 12:28:34 +0200

Hello.

Jay Berkenbilt wrote:
> I like the new feature in 23.1.94 of having the mouse pointer turn
> invisible when you are typing.  However, if text is set to highlight
> when the pointer is over it, this still occurs when the invisible
> pointer is over something.  This can be disorienting if you switch
> contexts into a buffer that has this.  For example, if you're typing
> away and then switch to gnus, info, or any of the other many places
> where there is mouse-selectable text, some seemingly random text on the
> screen may be highlighted because the invisible cursor is over it.  If
> possible, it seems like any behavior triggered by the mouse pointer
> being over something should be disabled when the mouse pointer is
> invisible.
> 

I will shortly fix this in the trunk.  Is this appropriate for 23.2 also 
(Stefan or Yidong)?  Here's the patch:

=== modified file 'src/xdisp.c'
--- src/xdisp.c    2010-02-26 01:17:28 +0000
+++ src/xdisp.c    2010-03-30 09:58:29 +0000
@@ -23599,6 +23599,8 @@
      return;
  #endif

+  if (f->pointer_invisible) return;
+
    if (NILP (Vmouse_highlight)
        || !f->glyphs_initialized_p)
      return;

	Jan D.